/**
  *  \file arch/win32/win32.h
  *  \brief Win32 Platform Utilities
  */
#ifndef PCC2_ARCH_WIN32_WIN32_H
#define PCC2_ARCH_WIN32_WIN32_H

#include <vector>
#include "cpluslib/string.h"

namespace win32 {
    /** Unicode string. This type is used to construct strings to pass
        to the API, so we don't need a whole wstring which not all
        libraries have. */
    typedef std::vector<wchar_t> WStr;

    void convertToUnicode(WStr& out, string_t str, bool terminate);
    string_t convertFromUnicode(const wchar_t* data);
    string_t convertToCodepage(string_t str, uint32_t codepage);
    string_t convertToANSI(string_t str);
    string_t convertFromCodepage(const char* str, uint32_t codepage);
    string_t convertFromANSI(const char* data);

    string_t getLastErrorString();

    string_t getShellFolder(int csidl);

    bool hasUnicodeSupport();
}

#endif
