/**
  *  \file client/dialogs/exportparam.h
  *  \brief Export Parameter dialog
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_EXPORTPARAM_H
#define PCC_V2_CLIENT_DIALOGS_EXPORTPARAM_H

#include "cpluslib/holder.h"
#include "ui/window.h"

class IntExportFieldList;
class IntContext;
class WExportFormatControl;
class AnswerProvider;

/** "Export" dialog. */
class WExportParameterDialog : public UIWindow {
    IntExportFieldList& fields;
    IntContext* ctx;
    WExportFormatControl* format_control;
    AnswerProvider& filter;
    ObjectHolder h;
    void init();
    void onOK();
 public:
    WExportParameterDialog(IntExportFieldList& fields, IntContext* ctx, AnswerProvider& filter);
};

#endif
