/**
  *  \file ui/widgets/fixedspacer.h
  *  \brief UIFixedSpacer widget
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_FIXEDSPACER_H
#define PCC_V2_UI_WIDGETS_FIXEDSPACER_H

#include "ui/ui.h"

/** Fixed-size spacer. Unlike an UISpacer, which expands to fill all
    available space, this one tries consume just a fixed amount. It
    can thus be used to allocate gaps in button lists. */
class UIFixedSpacer : public UIWidget {
    GfxPoint size;
 public:
    UIFixedSpacer(GfxPoint size) throw();
    ~UIFixedSpacer();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
